import { VarDefType,VarBoolDefType,VarNumDefType } from '~/typs/inputs'

export interface UserAccountType {
	[key: string]: any
	password: string
	email: string
	description: string
	data: string
	web: boolean
	dflt: true
}
export interface UsersAccountsType {
	accounts: UserAccountType[]
}
export interface ModelUserType {
	[key: string]: any
  model: string
  user: string
  data: string
  active: boolean
}
export interface ModelsUsersType {
	[key: string]: any
}
export interface UsersInvitationsType {
	[key: string]: any
  email: string
  createdby: string
  expire: string
  howmany: number
  role: string
  description: string
  data: string
  active: boolean
}
export interface UsersDataType {
	[key: string]: string
	usersData: string
	modelsData: string
	authzModel: string
	authzPolicy: string
}
export interface UsersDataViewType {
	[key: string]: boolean
	usersData: boolean
	modelsData: boolean
	authzModel: boolean
	authzPolicy: boolean
}
export interface VarsUserType {
	[key: string]: any
	sec_data: {
		logOut: VarDefType
		password: VarDefType
		email: VarDefType
		debugLevel: VarDefType
	}
}