export enum LocalesLabelModes {
  auto = 'auto',
  value = 'val',
  translation = 'trans',
}

export enum MessageType {
  Show,
  Success,
  Error,
  Warning,
  Info,
}
export interface MenuItemType {
  id: string
  title: string
  active: boolean
  link: string
}

export interface DataSections {
	[key: string]: string
}

export enum NavItemType {
	router_link = 'router_link',
	app_link = 'app_link',
	a_blank = 'a_blank',
	a_link = 'a_link',
	cloud_link = 'cloud_link',
	module_label = 'module_label',
	separator = 'separator',
}

export interface TrackActionShowType {
	[key: string]: any
	when: boolean
	where: boolean
	what: boolean
	context: boolean
	data: boolean
	auth: boolean
	payload: boolean 
}
export interface AuthPayloadType {
	[key: string]: any
	exp: number|string
	id: string
	uuid: string
	orig_iat: number|string
	data: string
}
export interface TrackActionType {
	[key: string]: any
	when: string|number
	where: string
	what: string
	context: string
	data: string
	auth: string
	payload?: AuthPayloadType 
	idx: number
}
export interface InvitationDataType {
	[key: string]: any
	email: string
	role: string
	data: string
}

